Plugin Check doesn't recognize Windows Presentation Foundation (WPF) plugin

NEW
Assigned to

Status

8 years ago
8 years ago

People

(Reporter: RNicoletto, Assigned: rdoherty)

Tracking

unspecified
x86
Windows XP

Details

Attachments

(1 attachment)

(Reporter)

Description

8 years ago
Created attachment 457787 [details]
Partial screenshot of the Mozilla Plugin Check page

Mozilla Plugin Check doesn't recognize WPF plugin.
(Assignee)

Updated

8 years ago
Assignee: nobody → rdoherty
Target Milestone: --- → 1.2
(Assignee)

Comment 1

8 years ago
RNicoletto: how do I get the WPF plugin? I tried installing the wpf sdk and .net 4.0 and I didn't get the plugin.
(Reporter)

Comment 2

8 years ago
(In reply to comment #1)
> RNicoletto: how do I get the WPF plugin? I tried installing the wpf sdk and
> .net 4.0 and I didn't get the plugin.

Honestly I'm not sure. On my Windows XP Pro SP3 machine I don't have .Net 4.0 but I have .Net 1.1 and .Net 3.5 (which includes version 3.0 and 2.0 too).

Take a look here == http://msdn.microsoft.com/en-us/library/cc716877.aspx

"WPF Plug-in for Firefox

The WPF plug-in for Firefox enables XBAPs and loose XAML files to be navigated to and run at the top-level or in an HTML IFRAME in the Firefox browser. An XBAP is a WPF application that can be published to a Web server and launched within supported browsers. Loose XAML is a XAML-only file that can be navigated to and displayed in supported browsers, much like an XML file.

The WPF plug-in for Firefox is installed with the .NET Framework 3.5. Window 7 includes the .NET Framework 3.5, but does not include the WPF plug-in for Firefox. You cannot install the WPF plug-in for Firefox on Windows 7. 

The .NET Framework 4 does not include the WPF plug-in for Firefox. However, if both the .NET Framework 3.5 and .NET Framework 4 are installed, the WPF plug-in for Firefox is installed with the .NET Framework 3.5. Therefore .NET Framework 4 applications will still run because the WPF Host will load the correct version of the framework. "
(Assignee)

Updated

8 years ago
Target Milestone: 1.2 → 1.3
You need to log in before you can comment on or make changes to this bug.